Package org.wso2.carbon.mediation.initializer

# Class ServiceBusConstants

java.lang.Object
org.wso2.carbon.mediation.initializer.ServiceBusConstants

public final class ServiceBusConstants extends Object
Mediation initializer constants

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `ServiceBusConstants.RegistryStore`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ACTIVE`
  `static final String`
  `ARTIFACT_EXTENSION`
  `static final String`
  `CARBON_TASK_REPOSITORY`
  `static final String`
  `CARBON_TASK_SCHEDULER`
  `static final String`
  `CLASS_MEDIATOR_EXTENSION`
  `static final String`
  `CONFIGURATION_SERIALIZATION`
  `static final String`
  `CONNECTOR_SECURE_VAULT_CONFIG_REPOSITORY`
  `static final String`
  `CREATED`
  `static final String`
  `DEFAULT_COLLECTIONS_PROPERTY`
  `static final String`
  `DEFAULT_ESBREGISTRY_ITEM`
  `static final String`
  `DEFAULT_SYNAPSE_CONFIGS_LOCATION`
  `static final String`
  `DEFINITION_FILE_NAME`
  `static final String`
  `DEPENDS`
  `static final String`
  `DESCRIPTION`
  `static final String`
  `DISABLE_CONNECTOR_INIT_SYSTEM_PROPERTY`
  `static final String`
  `DISABLED`
  `static final String`
  `EI_SAMPLE_SYSTEM_PROPERTY`
  `static final String`
  `ENABLED`
  `static final String`
  `ENDPOINT_TYPE`
  `static final String`
  `ESB_CONFIGURATIONS`
  `static final String`
  `ESB_DEBUG_COMMAND_PORT`
  `static final String`
  `ESB_DEBUG_EVENT_PORT`
  `static final String`
  `ESB_DEBUG_SYSTEM_PROPERTY`
  `static final String`
  `ESB_SAMPLE_SYSTEM_PROPERTY`
  `static final String`
  `EVENT_SOURCE_TYPE`
  `static final int`
  `ITEM_TYPE_ENDPOINT`
  `static final int`
  `ITEM_TYPE_ENTRY`
  `static final int`
  `ITEM_TYPE_EVENT_SRC`
  `static final int`
  `ITEM_TYPE_EXECUTOR`
  `static final int`
  `ITEM_TYPE_FULL_CONFIG`
  `static final int`
  `ITEM_TYPE_IMPORT`
  `static final int`
  `ITEM_TYPE_INBOUND`
  `static final int`
  `ITEM_TYPE_MESSAGE_PROCESSOR`
  `static final int`
  `ITEM_TYPE_MESSAGE_STORE`
  `static final int`
  `ITEM_TYPE_PROXY_SERVICE`
  `static final int`
  `ITEM_TYPE_REGISTRY`
  `static final int`
  `ITEM_TYPE_REST_API`
  `static final int`
  `ITEM_TYPE_SEQUENCE`
  `static final int`
  `ITEM_TYPE_TASK`
  `static final int`
  `ITEM_TYPE_TEMPLATE`
  `static final int`
  `ITEM_TYPE_TEMPLATE_ENDPOINTS`
  `static final String`
  `LOAD_FROM_REGISTRY`
  `static final String`
  `LOCAL_ENTRY_TYPE`
  `static final String`
  `MEDIATION_CONF`
  `static final String`
  `MESSAGE_PROCESSOR_TYPE`
  `static final String`
  `MESSAGE_STORE_TYPE`
  `static final String`
  `META_INF_REGISTRY_PATH`
  `static final String`
  `PERSISTENCE`
  `static final String`
  `PERSISTENCE_MANAGER`
  `static final String`
  `PROXY_SERVICE_TYPE`
  `static final String`
  `REGISTRY_FAIL_SAFE`
  `static final String`
  `REGISTRY_PERSISTENCE`
  `static final String`
  `SAVE_TO_FILE`
  `static final String`
  `SEQUENCE_TYPE`
  `static final String`
  `SERIALIZED_TO_REGISTRY`
  `static final String`
  `STRUCTURE_CREATED`
  `static final String`
  `SUSPEND_PERSISTENCE`
  `static final String`
  `SYNAPSE_CONFIG_LOCK`
  `static final String`
  `SYNAPSE_CONFIG_REGISTRY_SPACE`
  `static final String`
  `SYNAPSE_CONFIGS`
  `static final String`
  `SYNAPSE_CONNECTOR_PACKAGE`
  `static final String`
  `SYNAPSE_CURRENT_CONFIGURATION`
  `static final String`
  `SYNAPSE_IMPORTS_CONFIG_PATH`
  `static final String`
  `SYNAPSE_LIB_CONFIGS`
  `static final String`
  `SYNAPSE_LIBRARY_EXTENSION`
  `static final String`
  `SYNAPSE_REGISTRY_RESOURCE_NAME`
  `static final String`
  `TASK_TYPE`
  `static final String`
  `USE_SYNAPE_XML_SYSTEM_PROPERTY`
  `static final String`
  `WORKER_INTERVAL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceBusConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### META_INF_REGISTRY_PATH

    public static final String META_INF_REGISTRY_PATH
    See Also:
      - Constant Field Values

  - ### SYNAPSE_CONFIG_REGISTRY_SPACE

    public static final String SYNAPSE_CONFIG_REGISTRY_SPACE
    See Also:
      - Constant Field Values

  - ### STRUCTURE_CREATED

    public static final String STRUCTURE_CREATED
    See Also:
      - Constant Field Values

  - ### DEFAULT_COLLECTIONS_PROPERTY

    public static final String DEFAULT_COLLECTIONS_PROPERTY
    See Also:
      - Constant Field Values

  - ### DEFAULT_ESBREGISTRY_ITEM

    public static final String DEFAULT_ESBREGISTRY_ITEM
    See Also:
      - Constant Field Values

  - ### ESB_SAMPLE_SYSTEM_PROPERTY

    public static final String ESB_SAMPLE_SYSTEM_PROPERTY
    See Also:
      - Constant Field Values

  - ### EI_SAMPLE_SYSTEM_PROPERTY

    public static final String EI_SAMPLE_SYSTEM_PROPERTY
    See Also:
      - Constant Field Values

  - ### USE_SYNAPE_XML_SYSTEM_PROPERTY

    public static final String USE_SYNAPE_XML_SYSTEM_PROPERTY
    See Also:
      - Constant Field Values

  - ### CONFIGURATION_SERIALIZATION

    public static final String CONFIGURATION_SERIALIZATION
    See Also:
      - Constant Field Values

  - ### SERIALIZED_TO_REGISTRY

    public static final String SERIALIZED_TO_REGISTRY
    See Also:
      - Constant Field Values

  - ### SYNAPSE_REGISTRY_RESOURCE_NAME

    public static final String SYNAPSE_REGISTRY_RESOURCE_NAME
    See Also:
      - Constant Field Values

  - ### DEFINITION_FILE_NAME

    public static final String DEFINITION_FILE_NAME
    See Also:
      - Constant Field Values

  - ### MEDIATION_CONF

    public static final String MEDIATION_CONF
    See Also:
      - Constant Field Values

  - ### LOAD_FROM_REGISTRY

    public static final String LOAD_FROM_REGISTRY
    See Also:
      - Constant Field Values

  - ### REGISTRY_FAIL_SAFE

    public static final String REGISTRY_FAIL_SAFE
    See Also:
      - Constant Field Values

  - ### SAVE_TO_FILE

    public static final String SAVE_TO_FILE
    See Also:
      - Constant Field Values

  - ### PERSISTENCE

    public static final String PERSISTENCE
    See Also:
      - Constant Field Values

  - ### REGISTRY_PERSISTENCE

    public static final String REGISTRY_PERSISTENCE
    See Also:
      - Constant Field Values

  - ### WORKER_INTERVAL

    public static final String WORKER_INTERVAL
    See Also:
      - Constant Field Values

  - ### DISABLED

    public static final String DISABLED
    See Also:
      - Constant Field Values

  - ### ENABLED

    public static final String ENABLED
    See Also:
      - Constant Field Values

  - ### ITEM_TYPE_PROXY_SERVICE

    public static final int ITEM_TYPE_PROXY_SERVICE
    See Also:
      - Constant Field Values

  - ### ITEM_TYPE_SEQUENCE

    public static final int ITEM_TYPE_SEQUENCE
    See Also:
      - Constant Field Values

  - ### ITEM_TYPE_ENDPOINT

    public static final int ITEM_TYPE_ENDPOINT
    See Also:
      - Constant Field Values

  - ### ITEM_TYPE_TASK

    public static final int ITEM_TYPE_TASK
    See Also:
      - Constant Field Values

  - ### ITEM_TYPE_ENTRY

    public static final int ITEM_TYPE_ENTRY
    See Also:
      - Constant Field Values

  - ### ITEM_TYPE_EVENT_SRC

    public static final int ITEM_TYPE_EVENT_SRC
    See Also:
      - Constant Field Values

  - ### ITEM_TYPE_REGISTRY

    public static final int ITEM_TYPE_REGISTRY
    See Also:
      - Constant Field Values

  - ### ITEM_TYPE_FULL_CONFIG

    public static final int ITEM_TYPE_FULL_CONFIG
    See Also:
      - Constant Field Values

  - ### ITEM_TYPE_EXECUTOR

    public static final int ITEM_TYPE_EXECUTOR
    See Also:
      - Constant Field Values

  - ### ITEM_TYPE_TEMPLATE

    public static final int ITEM_TYPE_TEMPLATE
    See Also:
      - Constant Field Values

  - ### ITEM_TYPE_MESSAGE_STORE

    public static final int ITEM_TYPE_MESSAGE_STORE
    See Also:
      - Constant Field Values

  - ### ITEM_TYPE_MESSAGE_PROCESSOR

    public static final int ITEM_TYPE_MESSAGE_PROCESSOR
    See Also:
      - Constant Field Values

  - ### ITEM_TYPE_TEMPLATE_ENDPOINTS

    public static final int ITEM_TYPE_TEMPLATE_ENDPOINTS
    See Also:
      - Constant Field Values

  - ### ITEM_TYPE_REST_API

    public static final int ITEM_TYPE_REST_API
    See Also:
      - Constant Field Values

  - ### ITEM_TYPE_IMPORT

    public static final int ITEM_TYPE_IMPORT
    See Also:
      - Constant Field Values

  - ### ITEM_TYPE_INBOUND

    public static final int ITEM_TYPE_INBOUND
    See Also:
      - Constant Field Values

  - ### ARTIFACT_EXTENSION

    public static final String ARTIFACT_EXTENSION
    See Also:
      - Constant Field Values

  - ### CLASS_MEDIATOR_EXTENSION

    public static final String CLASS_MEDIATOR_EXTENSION
    See Also:
      - Constant Field Values

  - ### SYNAPSE_LIBRARY_EXTENSION

    public static final String SYNAPSE_LIBRARY_EXTENSION
    See Also:
      - Constant Field Values

  - ### PERSISTENCE_MANAGER

    public static final String PERSISTENCE_MANAGER
    See Also:
      - Constant Field Values

  - ### SYNAPSE_CURRENT_CONFIGURATION

    public static final String SYNAPSE_CURRENT_CONFIGURATION
    See Also:
      - Constant Field Values

  - ### CARBON_TASK_SCHEDULER

    public static final String CARBON_TASK_SCHEDULER
    See Also:
      - Constant Field Values

  - ### CARBON_TASK_REPOSITORY

    public static final String CARBON_TASK_REPOSITORY
    See Also:
      - Constant Field Values

  - ### DEFAULT_SYNAPSE_CONFIGS_LOCATION

    public static final String DEFAULT_SYNAPSE_CONFIGS_LOCATION
    See Also:
      - Constant Field Values

  - ### SYNAPSE_CONFIGS

    public static final String SYNAPSE_CONFIGS
    See Also:
      - Constant Field Values

  - ### SYNAPSE_LIB_CONFIGS

    public static final String SYNAPSE_LIB_CONFIGS
    See Also:
      - Constant Field Values

  - ### SYNAPSE_CONFIG_LOCK

    public static final String SYNAPSE_CONFIG_LOCK
    See Also:
      - Constant Field Values

  - ### SEQUENCE_TYPE

    public static final String SEQUENCE_TYPE
    See Also:
      - Constant Field Values

  - ### ENDPOINT_TYPE

    public static final String ENDPOINT_TYPE
    See Also:
      - Constant Field Values

  - ### PROXY_SERVICE_TYPE

    public static final String PROXY_SERVICE_TYPE
    See Also:
      - Constant Field Values

  - ### LOCAL_ENTRY_TYPE

    public static final String LOCAL_ENTRY_TYPE
    See Also:
      - Constant Field Values

  - ### EVENT_SOURCE_TYPE

    public static final String EVENT_SOURCE_TYPE
    See Also:
      - Constant Field Values

  - ### TASK_TYPE

    public static final String TASK_TYPE
    See Also:
      - Constant Field Values

  - ### MESSAGE_STORE_TYPE

    public static final String MESSAGE_STORE_TYPE
    See Also:
      - Constant Field Values

  - ### MESSAGE_PROCESSOR_TYPE

    public static final String MESSAGE_PROCESSOR_TYPE
    See Also:
      - Constant Field Values

  - ### ESB_CONFIGURATIONS

    public static final String ESB_CONFIGURATIONS
    See Also:
      - Constant Field Values

  - ### DESCRIPTION

    public static final String DESCRIPTION
    See Also:
      - Constant Field Values

  - ### ACTIVE

    public static final String ACTIVE
    See Also:
      - Constant Field Values

  - ### CREATED

    public static final String CREATED
    See Also:
      - Constant Field Values

  - ### DEPENDS

    public static final String DEPENDS
    See Also:
      - Constant Field Values

  - ### SUSPEND_PERSISTENCE

    public static final String SUSPEND_PERSISTENCE
    See Also:
      - Constant Field Values

  - ### CONNECTOR_SECURE_VAULT_CONFIG_REPOSITORY

    public static final String CONNECTOR_SECURE_VAULT_CONFIG_REPOSITORY
    See Also:
      - Constant Field Values

  - ### ESB_DEBUG_SYSTEM_PROPERTY

    public static final String ESB_DEBUG_SYSTEM_PROPERTY
    See Also:
      - Constant Field Values

  - ### ESB_DEBUG_EVENT_PORT

    public static final String ESB_DEBUG_EVENT_PORT
    See Also:
      - Constant Field Values

  - ### ESB_DEBUG_COMMAND_PORT

    public static final String ESB_DEBUG_COMMAND_PORT
    See Also:
      - Constant Field Values

  - ### SYNAPSE_IMPORTS_CONFIG_PATH

    public static final String SYNAPSE_IMPORTS_CONFIG_PATH
    See Also:
      - Constant Field Values

  - ### SYNAPSE_CONNECTOR_PACKAGE

    public static final String SYNAPSE_CONNECTOR_PACKAGE
    See Also:
      - Constant Field Values

  - ### DISABLE_CONNECTOR_INIT_SYSTEM_PROPERTY

    public static final String DISABLE_CONNECTOR_INIT_SYSTEM_PROPERTY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ServiceBusConstants

    public ServiceBusConstants()